
/* ----------------- استایل های منوی بالا و لوگو و عنوان سایت----------------- */
.top-menu {
    width: 101%;
    display: flex;
    align-items: center;
    flex-direction: row-reverse;
    justify-content: space-between;
    padding: 12px 48px;
    overflow: hidden;
    position: relative;
    z-index: 8;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

/* ---------------- استایل های عنوان پیج---------------- */
.page-title {
    font-size: clamp(12px, 2vw, 16px);
    position: relative;
    padding: 12px 0;
    overflow: visible;
    color: var(--page-title-color);
    text-align: center;
    transition: var(--transition-d-3);
    margin-bottom: 12px;
}
.page-title-txt{
    transition: var(--transition-5);
    color: var(--page-title-color);
}

.page-title::before {
    content: "";
    display: block;
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background-color: var(--page-title-color);
    box-shadow: var(--page-title-befor-box-shadow);
    position: absolute;
    bottom: 0;
    left: 0;
    animation: pagetitlebefore 5s ease-in-out infinite alternate;
    transition: var(--transition-d-3);
}

.page-title::after {
    content: "";
    width: 100%;
    height: 1px;
    background: var(--page-title-after-bg-color);
    position: absolute;
    bottom: 2px;
    left: 0;
    transition: var(--transition-d-3);
    display: block;
}

/* ---------------- استایل های لوگو---------------- */
.logo {
    min-width: 100px;
    width: 15vw;
    max-width: 128px;
    display: flex;
    align-items: center;
    justify-content: center;
    filter: saturate(1.1) contrast(1.2);
}

.logo img {
    width: 100%;
    height: 100%;
}

/* ---------------- استایل های دکمه های تغییر مود صفحه ---------------- */
.page-mood-container {
    min-width: 64px;
    width: 10vw;
    max-width: 128px;
    pointer-events: none;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row-reverse;
    transition: all .5s ease-in-out;
    opacity: 1;
    transform: translateX(0);
}

.page-mood-container.hide {
    opacity: 0;
    transform: translateX(250px);
}



/* --------------- آیکون سوالات متداول ---------------- */
.help-icon {
    min-width: 48px;
    max-width: 48px;
    pointer-events: all;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--base-color);
    position: relative;
    cursor: pointer;
    font-size: clamp(18px,2.5vw,26px);
    font-weight: 600;
    color: var(--base-color);
}


.mood-shower {
    min-width: 48px;
    max-width: 48px;
    overflow: hidden;
    pointer-events: all;
    cursor: pointer;
    border-radius: 50%;
}

.icons-container {
    min-width: 128px;
    max-width: 128px;
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;
    align-items: center;
    transition: var(--transition-10);
}

.mood-shower:hover .icons-container {
    transform: translateX(80px);
}

.mood-shower.light .icons-container {
    transform: translateX(80px);
}

.mood-shower.light:hover .icons-container {
    transform: translateX(0);
}

.icons-container>div {
    min-width: 48px;
    max-width: 48px;
    max-height: 48px;
    height: 48px;
    max-height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
}


.icons-container .moon {
    border-radius: 50%;
    overflow: hidden;
    position: relative;
    transition: all 1s ease-in-out;
}


.moon::after,
.moon::before {
    content: "";
    position: absolute;
    border-radius: 50%;
    width: 2px;
    height: 2px;
    background: white;
    box-shadow: 0 0 4px rgba(255, 255, 255, .8);

}

.moon::before {
    top: 8px;
    left: 12px;
    animation: starscaler 3s ease-in-out .3s infinite;
}

.moon::after {
    bottom: 13px;
    right: 15px;
    animation: starscaler 3s ease-in-out .6s infinite;
}

.icons-container .sun {
    border-radius: 50%;
    overflow: hidden;
    opacity: 0;
    transition: var(--transition-10);
}

.mood-shower.light .sun {
    opacity: 1;
}

.mood-shower.light .moon {
    opacity: 0;
}

.icon-box {
    border-radius: 50%;
    min-width: 24px;
    max-width: 24px;
    max-height: 24px;
    height: 24px;
    max-height: 24px;
    position: relative;
}

.moon-box {
    background: radial-gradient(circle at 30% 30%, #f5f5f5, #b0b0b0 80%);
    box-shadow: inset -3px -3px 5px rgba(0, 0, 0, .35);
}

.moon-box::before {
    content: "";
    position: absolute;
    top: -12px;
    left: -12px;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background: radial-gradient(circle, rgba(200, 200, 255, 0.4), transparent 70%);
    animation: moonGlow 3s ease-in-out infinite alternate;
    z-index: -1;
}

.moon-box::after {
    content: "";
    position: absolute;
    border-radius: 50%;
    width: 3px;
    height: 3px;
    background: white;
    box-shadow: 0 0 4px rgba(255, 255, 255, .8);
    right: 2px;
    top: 2px;
    animation: starscaler 3s ease-in-out infinite;
    z-index: -1;
}

.moon-inner {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    position: relative;
}

.moon-inner::before,
.moon-inner::after {
    content: "";
    position: absolute;
    border-radius: 50%;
    background: rgba(0, 0, 0, .18);
}

.moon-inner::before {
    width: 6px;
    height: 6px;
    top: 6px;
    left: 5px;
}

.moon-inner::after {
    width: 4px;
    height: 4px;
    bottom: 4px;
    right: 6px;

}

.sun-box {
    min-width: 24px;
    min-height: 24px;
    max-width: 24px;
    max-height: 24px;
    height: 24px;
    width: 24px;
    border-radius: 50%;
    background: radial-gradient(circle at center, #faf3b9 0%, #fdf184 40%, #ffd556 70%, #ffac2e 100%);
    position: relative;
    animation: pulse 2s ease-in-out infinite;
    box-shadow: 0 0 14px rgba(231, 206, 116, 0.5),
        0 0 20px rgba(233, 214, 106, 0.3);
}


.icons-container .moon svg {
    filter: drop-shadow(2px 2px 3px rgba(255, 255, 255, 1));
}

.icons-container .sun svg {
    filter: drop-shadow(2px 2px 3px rgba(255, 255, 255, 1));
}

.mood-shower:hover .sun {
    opacity: 1;
}

.mood-shower.light:hover .sun {
    opacity: 0;
}

.mood-shower.light:hover .moon {
    opacity: 1;
}

/* ----------------- استایل های سوشیال مدیا ----------------- */
.social-media {
    position: absolute;
    left: 48px;
    top: 50%;
    display: flex;
    align-items: end;
    justify-content: center;
    flex-direction: column;
    transition: var(--transition-30);
    z-index: 2;
    opacity: 0;
    transform: translateY(calc(-40% + 30px));
}

body.loaded .social-media {
    opacity: 1;
    transform: translateY(-40%);
}

.social-media-item {
    display: block;
    width: 48px;
    position: relative;
    height: 40px;
    padding-left: 20px;
    transition: var(--transition-3);
    display: flex;
    align-items: center;
    justify-content: space-between;
    overflow: hidden;
    cursor: pointer;
    border-radius: 10px;
    will-change: transform;
}

.social-media-item:hover {
    width: 128px;
    background: var(--base-linear-gradiant);
    will-change: transform;
}
.social-media-item:hover .social-media-icon{
    transform: translate(-50%,-50%);
    will-change: transform;
}


.social-media-item .social-media-icon-container{
    display: block;
    width: 45px;
    height: 100%;
    transition: var(--transition-3);
    position: relative;


}
.social-media-item .social-media-icon {
    transition: var(--transition-3);
    font-size: 20px;
    position: absolute;
    left: 50%;
    top: 50%;
    margin-top: 1px;
    transform: translate(-150%,-50%);
    will-change: transform;
}

.social-media-item .social-media-txt {
    transform: translateX(-200%);
    transition: var(--transition-3);
    font-size: 14px;
    font-weight: 500;
    will-change: transform;
}

.social-media-item:hover .social-media-txt {
    transform: translateX(0);
    will-change: transform;
}

.social-media .telegram:hover {
    color: #24a0de !important;
}

.social-media .instagram:hover {
    color: #ee2a7c !important;
}

.social-media .twitter:hover {
    color: #00abee !important;
}

.social-media .linkedin:hover {
    color: #0073b1 !important;
}

.social-media .whats-app:hover {
    color: #25d365 !important;
}

/* ----------------- استایل های دکمه های قبل و بعد ---------------- */
.slider-buttons {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    position: absolute;
    bottom: 48px;
    left: 64px;
    color: var(--base-color);
    z-index: 2;
    opacity: 0;
    transform: translateY(30px) rotateZ(75deg);
    transition: var(--transition-30);
}

body.loaded .slider-buttons {
    opacity: 1;
    transform: translateY(0) rotateZ(65deg);
}

.slider-btn-wrapper {
    width: 200%;
    height: 2px;
    border-radius: 2px;
    background-color: var(--base-color);
}

#next-btn {
    display: block;
    transform: rotateZ(115deg);
    cursor: pointer;
    font-size: clamp(16px, 2vw, 20px);
    padding-top: 10px;
}

#prev-btn {
    display: block;
    transform: rotateZ(115deg);
    cursor: pointer;
    font-size: clamp(16px, 2vw, 20px);
    padding-bottom: 10px;
}

/* ----------------- استایل های نشانگر اسلاید فعلی ---------------- */
.show-slides-container {
    width: 10%;
    padding: 16px 0;
    display: flex;
    align-items: center;
    justify-content: space-around;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 32px;
    z-index: 2;
    will-change: transform;
}

.slide-shower {
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background-color: var(--slide-shower-color);
    cursor: pointer;
    will-change: transform;
}

.slide-shower.active {
    background-color: var(--active-slide-shower-color);
    box-shadow: var(--slide-shower-box-shadow);
    will-change: transform;
}
